## ros-indigo-eus-qp 0.1.15

=== CMakeLists.txt ===
project(eus_qp)

cmake_minimum_required(VERSION 2.4.6)

find_package(catkin COMPONENTS cmake_modules rostest)
find_package(Eigen REQUIRED)

include_directories(${Eigen_INCLUDE_DIRS})
include_directories(${EIGEN_INCLUDE_DIRS})

include_directories(${PROJECT_SOURCE_DIR}/include)
include_directories(${PROJECT_SOURCE_DIR}/3rdparty)
include_directories(${PROJECT_SOURCE_DIR}/src)
include("./path-tricker/includes.txt")

set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)

catkin_package()

add_executable(euq_qp_test src/example.cpp)
add_library(eus_qp SHARED src/qp_lib.cpp)
add_rostest(test/test_contact_wrench_opt.test)
add_rostest(test/test_model_predictive_control.test)
add_rostest(test/test_cfr_cwc_calculation.test)

install(DIRECTORY euslisp test
  USE_SOURCE_PERMISSIONS
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(TARGETS eus_qp
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== debian/changelog ===
ros-indigo-eus-qp (0.1.15-0trusty) trusty; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Tue, 15 May 2018 15:00:00 -0000

ros-indigo-eus-qp (0.1.14-0trusty) trusty; urgency=high

  * [eus_qp/euslisp/test-model-predictive-control.l] Add walking example by footstep list (#682 <https://github.com/jsk-ros-pkg/jsk_control/issues/682>)
  * Contributors: Shunichi Nozawa

 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Sun, 14 Jan 2018 15:00:00 -0000

ros-indigo-eus-qp (0.1.13-0trusty) trusty; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Mon, 17 Apr 2017 15:00:00 -0000

ros-indigo-eus-qp (0.1.12-0trusty) trusty; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Tue, 21 Feb 2017 15:00:00 -0000

ros-indigo-eus-qp (0.1.11-0trusty) trusty; urgency=high

  * [eus_qp/README.md] Add readme for eus_qp and euslisp programs.
  * [eus_qp/euslisp/cfr-cwc-calculation.l] Use obj env constraint in calc-dynamic-min-max-cog-pos
  * [eus_qp/euslisp/cfr-cwc-calculation.l] Remove unused argument for calc-constraint-matrix-vector-for-obj-env-constraint
  * Contributors: Shunichi Nozawa

 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Wed, 08 Feb 2017 15:00:00 -0000

ros-indigo-eus-qp (0.1.10-0trusty) trusty; urgency=high

  * package.xml : remove unnecessary space within name tag
  * eus_qp : add missing install directory
  * [eus_qp/euslisp/contact-optimization.l,test-contact-wrench-opt.l] support rotational sliding in default-contact-constraint.
  * [eus_qp/euslisp/contact-optimization.l,test-contact-wrench-opt.l] add rotational-sliding-contact constraint class and calc-constraint-param-list-for-rotational-sliding function.
  * [eus_qp/euslisp/contact-optimization.l,test-contact-wrench-opt.l] use :fx, :-fx instead of :x, :-x.
  * [test/test_cfr_cwc_calculation.l] Check version of jskeus for old deb installed environment (like hydro travis)
  * [eus_qp/*/*cfr-cwc-calculation*, eus_qp/CMakeLists.txt] Add cfr and cwc calculation.
  * [eus_qp/euslisp/model-predictive-control.l] Enable to add additional-inequality-matrix and additional-inequality-min-vector for MPC COG parameters
  * [eus_qp/euslisp/contact-optimization.l] Add additional-inequality-matrix and additional-inequality-min-vector
  * [eus_qp/euslisp/test-contact-wrench-opt.l,eus_qp/test/test_contact_wrench_opt.l] Add test for cop polygon and friction polycone constraint.
  * [eus_qp/euslisp/contact-optimization] Add linearlized polycone friction constraint
  * [eus_qp/euslisp/model-predictive-control.l] Just fix indent
  * [eus_qp/euslisp, eus_qp/test] Add skip count for receding horizon proc count and update tests.
  * [eus_qp/euslisp/contact-optimization.l] print message of too large equality error only when debug is true.
  * [eus_qp/euslisp/model-predictive-control.l] Add argument to switch solve-qp-mode for qpoases
  * [eus_qp/euslisp/contact-optimization.l] Enable to set solve-qp-mode. Default value is same as solve-qpoases-qp function
  * [eus_qp/euslisp/test-contact-wrench-opt.l] Add test for use equality-error-weight
  * [eus_qp/euslisp/contact-optimization.l] Add argument to support equality error.
  * [eus_qp/euslisp/contact-optimization.l] add :gen-drawing-object method to 6d-min-max-contact-constraint
  * Merge pull request #574 <https://github.com/jsk-ros-pkg/jsk_control/issues/574> from mmurooka/poly-cop
    [eus_qp/euslisp] add polygon-cop-contact-constraint
  * [eus_qp/euslisp/contact-optimization.l, test-contact-wrench-opt.l, eus_qp/test/test_contact_wrench_opt.l] Add function to calculate wrench from given wrench. Currently calculation with contact constraints does not work.
  * [euslisp/contact-optimization.l] add argument contact-face to default-contact-constraint.
  * [euslisp/test-contact-wrench-opt.l] add test for polygon-cop-contact-constraint.
  * [euslisp/contact-optimization.l] add class and function for polygon-cop-contact-constraint.
  * Contributors: Kei Okada, Masaki Murooka, Shunichi Nozawa

 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Wed, 14 Dec 2016 15:00:00 -0000

ros-indigo-eus-qp (0.1.9-0trusty) trusty; urgency=high

  * Merge pull request #565 from mmurooka/6d-minmax-constraint
    [eus_qp/euslisp] add 6d-min-max-contact-constraint class and test
  * [eus_qp/euslisp] pass debug option to qp solve function.
  * [eus_qp/euslisp] add 6d-min-max-contact-constraint class and test for that.
  * [eus_qp/euslisp/contact-optimization.l,test-contact-wrench-opt.l] Add contact constraint for hand gripper and add example.
  * [eus_qp/euslisp/contact-optimization.l, test-contact-wrench-opt.l] Add mu-margin-ration and cop-margin-ratio. Add example for these parameters.
  * [eus_qp/euslisp/contact-optimization.l] Fix updating of drawing object newcoords. If initialize, update coords.
  * [eus_qp/euslisp/contact-optimization.l] Generate drawing object when drawing (https://github.com/jsk-ros-pkg/jsk_control/pull/558).
  * [eus_qp/euslisp/contact-optimization.l] Enable to set jacobi from arg.
  * [eus_qp/CMakeLists.txt, package.xml, src/qp_lib.cpp] Revert Eigen usage hack by garaemon, because we can build this program on travis without this hack (https://github.com/jsk-ros-pkg/jsk_control/commit/4937ac04d0c1beceb8c4c92eac258c00549943f9)
  * [eus_qp/euslisp/contact-optimization.l] Just fix indent.
  * [eus_qp/euslisp/contact-optimization.l] Add max fz if necessary
  * [eus_qp/euslisp/model-predictive-control.l] Fix typos in MPC drift and output ports.
  * [eus_qp/euslisp/model-predictive-control.l,test-model-predictive-control.l] Update mpc to fix calculation for drift and output matrices
  * [eus_qp/test/test_model_predictive_control.test] Increase time-limit for MPC rostest
  * [eus_qp/euslisp/contact-optimization.l] Define concatenate matrix function for old euslisp environment.
  * [eus_qp/euslisp/test-model-predictive-control.l] Update for IK default argument for MPC examples.


=== debian/control ===
Source: ros-indigo-eus-qp
Section: misc
Priority: extra
Maintainer: Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-eus-qpoases, ros-indigo-euslisp, ros-indigo-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-eus-qp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-indigo-euslisp
Description: eus_qp is an interface of euslisp to solve qp problems with linear constraints.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-eus-qp//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
